%global dconf_version 0.26.1
%global glib2_version 2.55.1
%global gtk3_version 3.22.27

Name:           dconf-editor
Version:        3.30.2
Release:        3
Summary:        Graphical editor for dconf

License:        GPLv3+ and CC0
URL:            https://wiki.gnome.org/Projects/dconf
Source0:        https://download.gnome.org/sources/dconf-editor/3.30/dconf-editor-%{version}.tar.xz
Patch0:         update_glib_target_version.patch

BuildRequires:  desktop-file-utils gettext meson vala libappstream-glib
BuildRequires:  pkgconfig(dconf) >= %{dconf_version} pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gmodule-2.0) pkgconfig(gtk+-3.0) >= %{gtk3_version} pkgconfig(libxml-2.0) 

Requires:       dconf%{?_isa} >= %{dconf_version} glib2%{?_isa} >= %{glib2_version} gtk3%{?_isa} >= %{gtk3_version}

%description
This package provides a graphical tool for editing the dconf database.

%package_help

%prep
%autosetup -p1 -S git

%build
%meson
%meson_build

%install
%meson_install

%find_lang dconf-editor

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/ca.desrt.dconf-editor.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/ca.desrt.dconf-editor.desktop

%files -f dconf-editor.lang
%license COPYING
%{_bindir}/dconf-editor
%{_datadir}/applications/ca.desrt.dconf-editor.desktop
%{_datadir}/bash-completion/
%{_datadir}/dbus-1/services/ca.desrt.dconf-editor.service
%{_datadir}/glib-2.0/schemas/ca.desrt.dconf-editor.gschema.xml
%{_datadir}/icons/hicolor/*/apps/ca.desrt.dconf-editor.png
%{_datadir}/icons/hicolor/scalable/apps/ca.desrt.dconf-editor-symbolic.svg
%{_datadir}/metainfo/ca.desrt.dconf-editor.appdata.xml

%files help
%{_mandir}/man1/dconf-editor.1*

%changelog
* Mon Oct 18 2021 guoqinglan <guoqinglan@uniontech.com> - 3.30.2-3
- fix build error, update GLib target version

* Tue Nov 19 2019 mengxian <mengxian@huawei.com> - 3.30.2-2
- Package init
